projects
Update Project Members
POST
/
api
/
projects
/
{project_id}
/
memberships
/
batch
Update Project Members
curl --request POST \
--url https://api.aixy-gateway.com/api/projects/{project_id}/memberships/batch \
--header 'Content-Type: application/json' \
--cookie gateway_session= \
--data '
{
"user_ids": [
"<string>"
]
}
'import requests
url = "https://api.aixy-gateway.com/api/projects/{project_id}/memberships/batch"
payload = { "user_ids": ["<string>"] }
headers = {
"cookie": "gateway_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'gateway_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({user_ids: ['<string>']})
};
fetch('https://api.aixy-gateway.com/api/projects/{project_id}/memberships/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Secure same-origin browser session cookie.
Path Parameters
Body
application/json
Response
Successful Response
⌘I
Update Project Members
curl --request POST \
--url https://api.aixy-gateway.com/api/projects/{project_id}/memberships/batch \
--header 'Content-Type: application/json' \
--cookie gateway_session= \
--data '
{
"user_ids": [
"<string>"
]
}
'import requests
url = "https://api.aixy-gateway.com/api/projects/{project_id}/memberships/batch"
payload = { "user_ids": ["<string>"] }
headers = {
"cookie": "gateway_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'gateway_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({user_ids: ['<string>']})
};
fetch('https://api.aixy-gateway.com/api/projects/{project_id}/memberships/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}